Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225724 - Merge Review: elilo
Summary: Merge Review: elilo
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:32 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-11 18:51:05 UTC
dcantrell: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:32:32 UTC
Fedora Merge Review: elilo

http://cvs.fedora.redhat.com/viewcvs/devel/elilo/
Initial Owner: clumens@redhat.com

Comment 1 David Cantrell 2007-06-11 17:40:16 UTC
W: elilo no-url-tag
W: elilo unversioned-explicit-obsoletes eli
W: elilo buildprereq-use gnu-efi, pciutils-devel

Source and patch file references should %{name} and %{version} (except patches).

Copying of docs in %build should preserve everything (-a).

If possible, pass the %{?_smp_mflags} to make in the %build section.  If the
make can be paralle for a package, it should be.

In the %install section, use path macros when appropriate (e.g., macros for
/usr/share, /usr/share/man, /usr/sbin, and so on).

%defattr in %files should be %defattr(-,root,root,-)

/usr/sbin in %files section should be referenced with %{_sbindir}

Personal opinion: %{buildroot} looks nicer than $RPM_BUILD_ROOT

Comment 2 David Cantrell 2007-06-11 18:03:51 UTC
Also, BuildRoot should be the really long thing too:

%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Comment 3 Chris Lumens 2007-06-11 18:06:46 UTC
Fixed everything except the eli obsoletes warning (because I have no idea about
the history of these packages.  Too bad I can't actually build a new package
with these fixes now that we ripped all the ia64 out of the build system.  Let's
just assume it builds.

Comment 4 David Cantrell 2007-06-11 18:11:52 UTC
Sounds good.  What about doing a 'make srpm' and then doing a brew scratch build
in dist-5E?

Comment 5 Chris Lumens 2007-06-11 18:45:35 UTC
Built successfully.

Comment 6 Jason Tibbitts 2007-06-12 03:28:49 UTC
Don't forget to set fedora-review to '+' if this was approved.


Note You need to log in before you can comment on or make changes to this bug.